Zum Hauptinhalt springen

chat-sendMessage

Nutzer-Nachricht senden (wie POST /api/chat mit newMessages). Wenn ein wiederaufnehmbarer Antwort-Stream läuft, enthält die Antwort responseStreamUrl (GET, SSE).

Path Parameters
chatId uuid REQUIRED

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Request Body REQUIRED
message string REQUIRED

Possible values: 1 ≤ length

botId integer

Possible values: -9007199254740991 ≤ value ≤ 9007199254740991

spaceId string
taskId string
searchWorkspace boolean
selectedModelId string
toolSelection object
selectedTools string[]
forcedTool string
mcpAttach object

Explicit configuration for MCP servers to override the default ones or specify new ones. If set to null the corresponding server is disabled.

facets object
Responses
200

Successful response

Schema OPTIONAL
ok boolean
responseStreamUrl
400

Invalid input data

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string